import { AssetResponseDto } from 'src/dtos/asset-response.dto';
import { AuthDto } from 'src/dtos/auth.dto';
import { ViewService } from 'src/services/view.service';
export declare class ViewController {
    private service;
    constructor(service: ViewService);
    getUniqueOriginalPaths(auth: AuthDto): Promise<string[]>;
    getAssetsByOriginalPath(auth: AuthDto, path: string): Promise<AssetResponseDto[]>;
}
